| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Private Attributes | List of all members
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase Class Reference
Inheritance diagram for GaudiKernel.DataObjectHandleBase.DataObjectHandleBase:
[legend]
Collaboration diagram for GaudiKernel.DataObjectHandleBase.DataObjectHandleBase:
[legend]

## Public Member Functions
def | __init__ (self, path)
def | __eq__ (self, other)
def | __ne__ (self, other)
def | __str__ (self)
def | __repr__ (self)
def | toStringProperty (self)
def | __add__ (self, other)
def | __radd__ (self, other)
def | __iadd__ (self, other)

## Public Attributes
| Path

## Static Private Attributes
tuple | __slots__ = ('Path', )

## Detailed Description

Definition at line 6 of file DataObjectHandleBase.py.

## Constructor & Destructor Documentation

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__init__ | ( |  | self,
|  |  | path
| ) |  |

Definition at line 12 of file DataObjectHandleBase.py.

12 def __init__(self, path):
13 object.__init__(self)
14 self.Path = path
15
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__init__
def __init__(self, path)
Definition: DataObjectHandleBase.py:12
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:14

## Member Function Documentation

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__add__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 41 of file DataObjectHandleBase.py.

41 def __add__(self,other):
42 self.Path = ':'.join( i + other for i in self.Path.split(':'))
43 return self
44
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:14
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__add__
def __add__(self, other)
Definition: DataObjectHandleBase.py:41

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__eq__ | ( |  | self,
|  |  | other
| ) |  |

    Need especially Configurable.isPropertySet when checked against default.

Definition at line 16 of file DataObjectHandleBase.py.

16 def __eq__(self, other):
17 """
18 Need especially Configurable.isPropertySet when checked against default.
19 """
20 if isinstance(other, DataObjectHandleBase):
21 return self.Path == other.Path
22 if isinstance(other, basestring):
23 return self.Path == other
24 raise ValueError('Unknown equality check: type=%r, repr=%r'%(type(other), other))
25
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__eq__
def __eq__(self, other)
Definition: DataObjectHandleBase.py:16
gaudirun.type
type
Definition: gaudirun.py:125
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:14

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__iadd__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 49 of file DataObjectHandleBase.py.

49 def __iadd__(self,other):
50 self.Path = ':'.join( i + other for i in self.Path.split(':'))
51 return self
52
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__iadd__
def __iadd__(self, other)
Definition: DataObjectHandleBase.py:49
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:14

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__ne__ | ( |  | self,
|  |  | other
| ) |  |

    This is mandatory if __eq__ is defined.

Definition at line 26 of file DataObjectHandleBase.py.

26 def __ne__(self, other):
27 """
28 This is mandatory if __eq__ is defined.
29 """
30 return not self==other
31
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__ne__
def __ne__(self, other)
Definition: DataObjectHandleBase.py:26

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__radd__ | ( |  | self,
|  |  | other
| ) |  |

Definition at line 45 of file DataObjectHandleBase.py.

45 def __radd__(self,other):
46 self.Path = ':'.join( other + i for i in self.Path.split(':'))
47 return self
48
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__radd__
def __radd__(self, other)
Definition: DataObjectHandleBase.py:45
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:14

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__repr__ | ( |  | self | ) |

Definition at line 35 of file DataObjectHandleBase.py.

35 def __repr__(self):
36 return "%s(\"%s\")" % (self.__class__.__name__, self.__str__())
37
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:32
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__repr__
def __repr__(self)
Definition: DataObjectHandleBase.py:35

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__ | ( |  | self | ) |

Definition at line 32 of file DataObjectHandleBase.py.

32 def __str__(self):
33 return self.Path
34
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:32
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path
Path
Definition: DataObjectHandleBase.py:14

def GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.toStringProperty | ( |  | self | ) |

Definition at line 38 of file DataObjectHandleBase.py.

38 def toStringProperty(self):
39 return self.__str__()
40
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.toStringProperty
def toStringProperty(self)
Definition: DataObjectHandleBase.py:38
GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__str__
def __str__(self)
Definition: DataObjectHandleBase.py:32

## Member Data Documentation

tuple GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.__slots__ = ('Path', )
| static private

Definition at line 8 of file DataObjectHandleBase.py.

GaudiKernel.DataObjectHandleBase.DataObjectHandleBase.Path

Definition at line 14 of file DataObjectHandleBase.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/DataObjectHandleBase.py